import responses
from brian_dashboard_manager.services.api import fetch_services
from brian_dashboard_manager.templating.services import create_service_panels
from conftest import _test_data


@responses.activate
def test_services(data_config, client):

    responses.add(
        method=responses.GET,
        url=f"{data_config['reporting_provider']}/scid/current",
        json=_test_data('services.json'))

    services = fetch_services(data_config['reporting_provider'])

    dashboards = list(create_service_panels(services, 'testdatasource'))

    assert dashboards
